# 音樂|deepin-music|

## 概述

音樂是一款專注於本機音樂播放的應用程式，提供全新介面設計、極致播放體驗，同時具備掃描本機音樂、歌詞同步等功能。

![main](fig/main.png)

## 使用入門

透過以下方式執行或關閉音樂，同時可建立捷徑。

### 執行音樂

1. 點選工作列上的啟動器圖示 ![launcher_icon](../common/deepin_launcher.svg)，進入啟動器介面。
2. 滾動滑鼠或搜尋，找到音樂圖示 ![music_icon24](../common/music_icon24.svg)，點選執行。
3. 右鍵點選 ![music_icon24](../common/music_icon24.svg)，您可以：
   - 點選 **傳送到桌面**，在桌面建立捷徑。
   - 點選 **釘選到工作列**，將應用程式固定於工作列。
   - 點選 **開機自動啟動**，將應用程式加入開機啟動項，電腦開機時自動執行。

> ![notes](../common/notes.svg) 說明：若音樂已預設固定於工作列，您亦可點選工作列圖示 ![music_icon24](../common/music_icon24.svg) 執行。

### 隱藏至系統列

在音樂介面，點選 ![icon_menu](../common/icon_menu.svg) > **設定** ，勾選 **最小化到系統列** 後，關閉主視窗時音樂會自動隱藏至系統列。右鍵點選系統列圖示可：
- 播放/暫停。
- 上一首。
- 下一首。
- 結束。

### 關閉音樂

- 在音樂介面，若設定關閉主視窗為「結束」，點選 ![close_icon](../common/close.svg) 即可結束。
- 在系統列右鍵點選 ![music_icon24](../common/music_icon24.svg)，選擇 **結束**。
- 在工作列右鍵點選 ![music_icon24](../common/music_icon24.svg)，選擇 **全部關閉**。

### 檢視快速鍵

在音樂介面，使用快速鍵 **Ctrl + Shift + ?** 開啟預覽介面。熟練使用快速鍵可提升操作效率。

![0|view](fig/hotkey.png)

## 介面介紹

透過介面按鈕進行播放操作、檢視播放清單及歌詞等。

![1|main](fig/music_main.png)

| 編號 | 名稱          | 說明                                                         |
|------|---------------|--------------------------------------------------------------|
| 1    | 搜尋框        | 快速搜尋音樂。                                               |
| 2    | 新增音樂      | 新增音樂檔案至播放清單。                                     |
| 3    | 主選單        | 新增歌單、新增音樂、設定、檢視說明手冊、結束等。             |
| 4    | 排序方式      | 依新增時間、歌曲名稱、歌手、專輯排序（預設：新增時間）。     |
| 5    | 上一首/下一首 | 切換歌曲。                                                   |
| 6    | 播放/暫停     | 播放或暫停歌曲。                                             |
| 7    | 播放框        | 顯示當前歌曲名稱、封面、歌手。                               |
| 8    | 收藏          | 新增至「我的收藏」；再次點選可移除。                         |
| 9    | 歌詞          | 切換歌詞顯示；再次點選關閉。                                 |
| 10   | 播放模式      | 循環模式：清單循環、單曲循環、隨機播放。                     |
| 11   | 音量控制      | 調整音量大小。                                               |
| 12   | 播放佇列      | 開啟播放佇列。                                               |

## 常用操作

新增、刪除及檢視本機音樂資訊。

> ![notes](../common/notes.svg) 注意：功能支援因解碼技術而異，請以實際介面為準。

### 新增音樂

在音樂介面：
- 點選標題列新增按鈕 ![icon_menu](../common/add1.svg)。
- 點選 ![icon_menu](../common/icon_menu.svg) > **新增音樂**。
- 直接拖曳音樂檔案至介面。

> ![notes](../common/notes.svg) 注意：若無音樂，可點擊 **新增音樂**、**新增歌曲路徑** 或 **掃描** 目錄。已有音樂時，可右鍵點選音樂庫/歌單新增。

### 搜尋音樂

1. 在搜尋框點選 ![search](../common/search.svg) 並輸入關鍵字。
2. 按下 **Enter** 搜尋。
3. 點選 ![0|close](../common/close.svg) 或刪除文字以清除/取消搜尋。

### 播放音樂

播放方式：
- 雙擊歌曲或右鍵選擇 **播放**。
- 點擊 **全部播放** 播放目前清單所有歌曲。
- 右鍵歌單選擇 **播放** 播放該歌單所有歌曲。

> ![tips](../common/tips.svg) 技巧：點選 ![play_normal](../common/play_normal.svg) 播放；![suspend_normal](../common/suspend_normal.svg) 暫停；![last_normal](../common/last_normal.svg) / ![next_normal](../common/next_normal.svg) 切換歌曲。

### 收藏音樂

1. 播放歌曲。
2. 點選工具列 ![collect](../common/collect.svg) 新增至「我的收藏」。

> ![tips](../common/tips.svg) 技巧：右鍵歌曲 > **新增至歌單** > **我的收藏**。

### 檢視歌詞

點選 ![lyric_normal](../common/lyric_normal.svg) 或 <img src="../common/music.png" alt="music" style="zoom: 8%;" /> 切換歌詞顯示。

> ![notes](../common/notes.svg) 注意：若歌曲有封面，<img src="../common/music.png" alt="music" style="zoom:8%;" /> 將顯示封面，點選可檢視歌詞。

### 調整播放模式

點選 ![single](../common/single_tune_circulation_normal.svg)（單曲循環）、![cross_cycling_normal](../common/cross_cycling_normal.svg)（隨機播放）或 ![sequential_loop_normal](../common/sequential_loop_normal.svg)（清單循環）。

### 在檔案管理員開啟

1. 右鍵歌曲。
2. 選擇 **在檔案管理員開啟** 定位檔案。

![0|infile](fig/infile.png)

### 刪除音樂

右鍵播放清單中的歌曲：
- **從歌單移除** > **移除**：自清單刪除，保留本機檔案。
- **從本機刪除** > **刪除**：永久刪除檔案。

![0|delete](fig/delete.png)

### 設定編碼方式

解決亂碼顯示：
1. 右鍵歌曲。
2. 選擇 **編碼方式** 並切換其他編碼。

### 檢視音樂資訊

1. 右鍵歌曲。
2. 選擇 **歌曲資訊** 檢視詳細資料。

![0|info](fig/info.png)

## 歌單管理

新增、重新命名、刪除歌單，或新增歌曲至歌單。

> ![notes](../common/notes.svg) 注意：**所有歌曲**（預設，不可刪除）包含全部歌曲。可直接管理「我的收藏」或透過工具列操作。

### 新增歌單

1. 點選「我的歌單」旁 ![icon_plus](../common/add.svg) 或 ![icon_menu](../common/icon_menu.svg) > **新增歌單**。
2. 輸入名稱後按 **Enter**。

![0|music_list](fig/music_list.png)

### 重新命名歌單

1. 右鍵「我的歌單」中的歌單。
2. 選擇 **重新命名**。
3. 輸入新名稱後按 **Enter**。

![0|music_list](fig/rename.png)

### 新增歌曲至歌單

1. 右鍵歌曲。
2. 選擇 **新增至** > [歌單名稱]。

> ![tips](../common/tips.svg) 技巧：直接拖曳歌曲至歌單。

![0|addtolist](fig/addtolist.png)

### 從歌單移除歌曲

1. 選擇歌單中的歌曲。
2. 右鍵選擇 **從歌單移除**。

![0|remove](fig/remove.png)

### 刪除歌單

1. 右鍵「我的歌單」中的歌單。
2. 選擇 **刪除** > 對話框中點擊 **刪除**。

![0|deletelist](fig/deletelist.png)

## 主選單

新增歌單、音樂、調整均衡器、設定、切換佈景主題、檢視說明等。

### 均衡器

調整音訊品質：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **均衡器**。
2. 啟用 **均衡器**，自訂「前置放大」及頻段後點選 **儲存**，或選擇預設模式（自動儲存）。
3. 點選 **恢復預設值** 重設設定。

<img src="fig/equalizer.png" alt="equalizer" style="zoom:67%;" />

### 設定

#### 基本設定
1. 點選 ![icon_menu](../common/icon_menu.svg) > **設定**。
   - **播放**：
     - **啟動時自動播放**：開啟音樂時自動播放。
     - **啟動時記住上次播放進度**：接續上次進度播放。
     - **啟用淡入淡出**：播放/停止時音量漸變。
   - **關閉主視窗**：
     - **最小化到系統列**：關閉時隱藏至系統列。
     - **結束**：關閉應用程式。
     - **每次詢問**：關閉時彈出確認視窗。

#### 快速鍵設定
1. 前往 **設定** > **快速鍵**。
2. 檢視或自訂快速鍵。

### 佈景主題

切換佈景主題（淺色、深色、系統）：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **佈景主題**。
2. 選擇主題。

### 說明

檢視說明手冊：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **說明**。

### 關於

檢視版本及資訊：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **關於**。

### 結束

結束音樂：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **結束**。